Rewrd API
  1. Merchant
Rewrd API
  • Customers
    • Create or Update a Customer
      POST
    • List Customers
      GET
    • Get a Customer
      GET
    • Update a Customer
      PUT
    • Restrict a Customer
      PATCH
    • Unrestrict a Customer
      PATCH
  • Merchant
    • Get Merchant Configuration
      GET
    • Update Merchant Configuration
      PATCH
    • List Earning Rules
      GET
    • Get Earning Rule Details
      GET
    • Get IP Whitelist
      GET
    • Update IP Whitelist
      PUT
    • Get Merchant Analytics
      GET
  • Points
    • Credit Points to a Customer
      POST
    • Redeem Points
      POST
    • Get Customer Transaction History
      GET
  1. Merchant

Get Earning Rule Details

GET
/merchant/rules/{id}
Retrieves the details of a single earning rule by its ID, including usage statistics (users_rewarded count).

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200OK
application/json
Earning rule details retrieved successfully.
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/merchant/rules/42' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Earning rule retrieved successfully",
    "data": {
        "id": 42,
        "merchant_id": "merch_xyz789",
        "name": "Purchase Reward",
        "points": 50,
        "type": "purchase",
        "subtype": "string",
        "status": "active",
        "users_rewarded": 1523,
        "deleted": false,
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "earning_type": "fixed",
        "percentage_off": 10
    }
}
Modified at 2026-02-25 12:17:15
Previous
List Earning Rules
Next
Get IP Whitelist
Built with